Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class S3VersionSummary

    java.lang.Object
      com.amazonaws.services.s3.model.S3VersionSummary

    public class S3VersionSummary

extends Object

Summary of a version stored in an Amazon S3 bucket. Doesn't contain the version's full metadata or any of the contents.

Constructor Summary
`S3VersionSummary()`

Method Summary
`String` | `getBucketName()` Returns the name of the Amazon S3 bucket in which this version is stored.
`String` | `getETag()` Returns the hex encoded 128 bit MD5 hash of this version's contents, as computed by Amazon S3.
`String` | `getKey()` Returns the key under which this version is stored in Amazon S3.
`Date` | `getLastModified()` Returns the date, according to Amazon S3, at which this version was last modified.
`Owner` | `getOwner()` Returns the owner of this version, or null if the requester doesn't have `Permission.ReadAcp` permission for this version (or own the bucket in which it resides) and therefore doesn't have permission to see object ownership.
`long` | `getSize()` Returns the size of this version, in bytes.
`String` | `getStorageClass()` Returns the type of storage used by Amazon S3 for this version.
`String` | `getVersionId()` Returns the version ID which uniquely identifies this version of an object.
`boolean` | `isDeleteMarker()` Returns true if this version represents a delete marker.
`boolean` | `isLatest()` Returns true if this version is the latest version for the associated object.
`void` | `setBucketName(String bucketName)` Sets the name of the Amazon S3 bucket in which this version is stored.
`void` | `setETag(String eTag)` Sets the hex encoded 128 bit MD5 hash of this version's contents, as computed by Amazon S3.
`void` | `setIsDeleteMarker(boolean isDeleteMarker)` Intended for internal use only in the S3 client code.
`void` | `setIsLatest(boolean isLatest)` Sets whether this version is the latest version for the associated object.
`void` | `setKey(String key)` Sets the key under which this version is stored in Amazon S3.
`void` | `setLastModified(Date lastModified)` Sets the date, according to Amazon S3, at which this version was last modified.
`void` | `setOwner(Owner owner)` Sets the owner of this version.
`void` | `setSize(long size)` Sets the size of this version, in bytes.
`void` | `setStorageClass(String storageClass)` Sets the type of storage used by Amazon S3 for this version.
`void` | `setVersionId(String id)` Sets the version ID which uniquely identifies this version of an object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S3VersionSummary

    public S3VersionSummary()

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the Amazon S3 bucket in which this version is stored.

  Returns:
    The name of the Amazon S3 bucket in which this version is stored.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the Amazon S3 bucket in which this version is stored.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket in which this version is stored.

### getKey

    public String getKey()

  Returns the key under which this version is stored in Amazon S3.

  Returns:
    The key under which this version is stored in Amazon S3.

### setKey

    public void setKey(String key)

  Sets the key under which this version is stored in Amazon S3.

  Parameters:
    `key` - The key under which this version is stored in Amazon S3.

### getVersionId

    public String getVersionId()

  Returns the version ID which uniquely identifies this version of an object.

  Objects created before versioning was enabled or when versioning is suspended will be given the default/null version ID (see `Constants.NULL_VERSION_ID`). Note that the `Constants.NULL_VERSION_ID` is a valid version ID and is not the same as not having a version ID.

  Returns:
    The version ID which uniquely identifies this version of an object.

### setVersionId

    public void setVersionId(String id)

  Sets the version ID which uniquely identifies this version of an object.

  Parameters:
    `id` - The version ID which uniquely identifies this version of an object.

### isLatest

    public boolean isLatest()

  Returns true if this version is the latest version for the associated object.

  Returns:
    True if this version is the latest version for the associated object, otherwise false.

### setIsLatest

    public void setIsLatest(boolean isLatest)

  Sets whether this version is the latest version for the associated object. This method is intended to be used only by the client internals and developers shouldn't need to use it.

  Parameters:
    `isLatest` - True if this version represents the latest version for the associated object in S3.

### getLastModified

    public Date getLastModified()

  Returns the date, according to Amazon S3, at which this version was last modified.

  Returns:
    The date, according to Amazon S3, at which this version was last modified.

### setLastModified

    public void setLastModified(Date lastModified)

  Sets the date, according to Amazon S3, at which this version was last modified.

  Parameters:
    `lastModified` - The date, according to Amazon S3, at which this version was last modified.

### getOwner

    public Owner getOwner()

  Returns the owner of this version, or null if the requester doesn't have `Permission.ReadAcp` permission for this version (or own the bucket in which it resides) and therefore doesn't have permission to see object ownership.

  Returns:
    The owner of this version, or null if the requester doesn't have permission to see object ownership for this version.

### setOwner

    public void setOwner(Owner owner)

  Sets the owner of this version. This method is intended to be used only by the client internals and developers shouldn't need to use it.

  Parameters:
    `owner` - The owner of this object.

### isDeleteMarker

    public boolean isDeleteMarker()

  Returns true if this version represents a delete marker.

  Delete markers are special types of versions that have no data associated with them. Deleting an versioned object in Amazon S3 without specifying an explicit version ID a new delete marker is created as the latest version of that object to mark that the object was deleted, even though the previous versions still exist in Amazon S3.

  Delete markers have no data associated with them and therefore have no associated ACL, size or storage class. Only requesters with read access to a bucket can learn of their existence by listing the versions in a bucket.

  Returns:
    True if this version represents a delete marker.

### setIsDeleteMarker

    public void setIsDeleteMarker(boolean isDeleteMarker)

  Intended for internal use only in the S3 client code. Sets the value of the isDeleteMarker property to record if this is a delete marker or not.

  Parameters:
    `isDeleteMarker` - True if this version summary represents a delete marker, otherwise false if it is a regular version summary.

### getETag

    public String getETag()

  Returns the hex encoded 128 bit MD5 hash of this version's contents, as computed by Amazon S3.

  Returns:
    The hex encoded 128 bit MD5 hash of this version's contents, as computed by Amazon S3.

### setETag

    public void setETag(String eTag)

  Sets the hex encoded 128 bit MD5 hash of this version's contents, as computed by Amazon S3.

  Parameters:
    `eTag` - The hex encoded 128 bit MD5 hash of this version's contents, as computed by Amazon S3.

### getStorageClass

    public String getStorageClass()

  Returns the type of storage used by Amazon S3 for this version.

  Returns:
    The type of storage used by Amazon S3 for this version.

### setStorageClass

    public void setStorageClass(String storageClass)

  Sets the type of storage used by Amazon S3 for this version.

  Parameters:
    `storageClass` - The type of storage used by Amazon S3 for this version.

### getSize

    public long getSize()

  Returns the size of this version, in bytes.

  Returns:
    The size of this version, in bytes.

### setSize

    public void setSize(long size)

  Sets the size of this version, in bytes.

  Parameters:
    `size` - The size of this version, in bytes.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.